Bug 1976959 (CVE-2020-18670)

Summary: CVE-2020-18670 roundcubemail: XSS via database host and user in /installer/test.php
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: anon.amish, fedora, kevin, mhlavink, tm
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-28 16:40:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1976960    
Bug Blocks:    

Description Guilherme de Almeida Suckevicz 2021-06-28 16:21:42 UTC
Cross Site Scripting (XSS) vulneraibility in Roundcube mail .4.4 via database host and user in /installer/test.php.

References:
https://lorexxar.cn/2020/06/10/roundcube-mail-xss/#Store-Xss-in-installer-test-php
https://github.com/roundcube/roundcubemail/issues/7406
https://roundcube.net/news/2020/06/02/security-updates-1.4.5-and-1.3.12

Comment 1 Guilherme de Almeida Suckevicz 2021-06-28 16:21:59 UTC
Created roundcubemail tracking bugs for this issue:

Affects: fedora-all [bug 1976960]

Comment 2 Product Security DevOps Team 2021-06-28 16:40:29 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.